<?php
/**
 * @package BILLETS
 * @link 	http://www.dioscouri.com
 * @license GNU/GPLv2
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Component Definitions
DEFINE("_BILLETS_DSCVERSION", '1.0');
DEFINE("_THISCOMPONENT", "com_billets");
DEFINE("_THISCOMPONENTNAME", substr ( _THISCOMPONENT, 4 ) );

// include stylesheet and script
JHTML::_('stylesheet', _THISCOMPONENTNAME.'.css', 'components/'._THISCOMPONENT.'/assets/css/');
JHTML::_('script', _THISCOMPONENTNAME.'.js', 'components/'._THISCOMPONENT.'/assets/js/');

// include the language file
if (file_exists(JPATH_BASE.DS.'components'.DS._THISCOMPONENT.DS.'languages'.DS.$lang->getBackwardLang().'.php')) {
      include_once(JPATH_BASE.DS.'components'.DS._THISCOMPONENT.DS.'languages'.DS.$lang->getBackwardLang().'.php');
} else {
      include_once(JPATH_BASE.DS.'components'.DS._THISCOMPONENT.DS.'languages'.DS.'english.php');
}

// Include the syndicate functions only once
require_once( dirname(__FILE__).DS.'helper.php' );

global $Itemid;
if ($itemid == 0) { $Itemid = modBilletsOpenHelper::getItemid(); }
$billetsOpen = modBilletsOpenHelper::getBilletsOpen( );
require( JModuleHelper::getLayoutPath( 'mod_billets_open' ) );
